Skip to main content
POST
Create workflow

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

featureFlagKey
string<string>
required

The feature flag key

environmentKey
string<string>
required

The environment key

Query Parameters

templateKey
string<string>

The template key to apply as a starting point for the new workflow

dryRun
boolean

Whether to call the endpoint in dry-run mode

Body

application/json
name
string
required

The workflow name

Example:

"Progressive rollout starting in two days"

maintainerId
string

The ID of the workflow maintainer. Defaults to the workflow creator.

Example:

"12ab3c45de678910abc12345"

description
string

The workflow description

Example:

"Turn flag on for 10% of users each day"

stages
object[]

A list of the workflow stages

templateKey
string

The template key

Response

Workflow response

_id
string
required

The ID of the workflow

Example:

"12ab3c4d5ef1a2345bcde67f"

_version
integer
required

The version of the workflow

Example:

1

_conflicts
object[]
required

Any conflicts that are present in the workflow stages

_creationDate
integer<int64>
required

Timestamp of when the workflow was created

Example:

"1654104600000"

_maintainerId
string
required

The member ID of the maintainer of the workflow. Defaults to the workflow creator.

Example:

"12ab3c45de678910abc12345"

The location and content type of related resources

name
string
required

The name of the workflow

Example:

"Progressive rollout starting in two days"

_execution
object
required

The current execution status of the workflow

Example:

"{\"status\": \"completed\"}"

description
string

A brief description of the workflow

Example:

"Turn flag on for 10% of customers each day"

kind
string

The kind of workflow

Example:

"custom"

stages
object[]

The stages that make up the workflow. Each stage contains conditions and actions.

meta
object

For workflows being created from a workflow template, this value holds any parameters that could potentially be incompatible with the current project, environment, or flag

templateKey
string

For workflows being created from a workflow template, this value is the template's key

Example:

"example-workflow-template"